<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTempPropertyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('temp_property', function (Blueprint $table) {
            $table->integerIncrements('id');
            $table->string('name',255);
            $table->integer('destination_id');
            //TODO: Giata_id int mi olacak string mi olacak.
            $table->string('giata_id',50);
            $table->tinyInteger('status')->default(1)->index();
            $table->unsignedInteger('created_by')->nullable();
            $table->unsignedInteger('updated_by')->nullable();
            $table->integer('created_at')->nullable();
            $table->integer('updated_at')->nullable();
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('temp_property');
    }
}
